org.eclipse.ui.help

## Class ViewContextComputer

- java.lang.Object
- - org.eclipse.ui.help.ViewContextComputer

All Implemented Interfaces:
  IContextComputer

Deprecated.
marked for deletion, see Bug 442961, nested contexts are no longer supported by the help support system

    @Deprecated
    public class ViewContextComputer
    extends Object
    implements IContextComputer

For determining the help context for controls in a view.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be referenced by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`ViewContextComputer(IViewPart viewPart, Object helpContext)` Deprecated. Creates a new context computer for the given view and help context.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Object[]` `computeContexts(HelpEvent event)` Deprecated. Computes contexts for the help system.
`Object[]` `getLocalContexts(HelpEvent event)` Deprecated. Returns the local contexts for this context computer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewContextComputer

    public ViewContextComputer(IViewPart viewPart,
                               Object helpContext)

Deprecated.
Creates a new context computer for the given view and help context.

Parameters:
  `viewPart` - the view
  `helpContext` - a single help context id (type `String`) or help context object (type `IContext`)

### Method Detail

#### computeContexts

    public Object[] computeContexts(HelpEvent event)

Deprecated.
Description copied from interface: `IContextComputer`
Computes contexts for the help system.

Specified by:
  `computeContexts` in interface `IContextComputer`
Parameters:
  `event` - the help event which triggered this request for help
Returns:
  a mixed-type array of context ids (type `String`) and/or help contexts (type `IContext`)
See Also:
  `IContext`

#### getLocalContexts

    public Object[] getLocalContexts(HelpEvent event)

Deprecated.
Description copied from interface: `IContextComputer`
Returns the local contexts for this context computer.

Typically this method is called by other instances of `IContextComputer` in their `computeContexts` method.

The important concept here is that the value returned by `computeContexts` represents the complete help contexts and is passed directly to the help support system.

However the value returned by this method represents the only the contexts for the particular control with which this `IContextComputer` is associated.

Specified by:
  `getLocalContexts` in interface `IContextComputer`
Parameters:
  `event` - the help event which triggered this request for help
Returns:
  a mixed-type array of context ids (type `String`) and/or help contexts (type `IContext`)
See Also:
  `IContext`